Get an item order
curl --request GET \
--url https://api.gameboost.com/v2/item-orders/{itemOrder} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.gameboost.com/v2/item-orders/{itemOrder}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gameboost.com/v2/item-orders/{itemOrder}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"item_offer_id": 123,
"game": {
"id": 123,
"name": "<string>",
"slug": "<string>"
},
"buyer": {
"id": 123,
"username": "<string>"
},
"rating": {
"id": 123,
"labels": [
"<string>"
],
"rating": 123,
"comment": "<string>",
"created_at": 123,
"updated_at": 123
},
"title": "<string>",
"description": "<string>",
"quantity": 123,
"parameters": {},
"is_disputed": true,
"dispute_case_id": 123,
"delivery_time": {
"duration": 123,
"format": "<string>",
"format_long": "<string>",
"seconds": 123
},
"credentials": {
"username": "CharacterName",
"server": "EU"
},
"price_eur": "<string>",
"price_usd": "<string>",
"unit_price_eur": "<string>",
"unit_price_usd": "<string>",
"created_at": 123,
"updated_at": 123,
"purchased_at": 123,
"completed_at": 123,
"refunded_at": 123
}
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "Too many requests."
}Item Orders
Get an item order
Retrieve detailed information about a specific item order including buyer details, quantity, pricing, and delivery status.
GET
/
v2
/
item-orders
/
{itemOrder}
Get an item order
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the item order. Can be retrieved from the list of item orders, or from the parent item offer, or from webhooks.
Response
A single item order
Item order object representing a purchase of in-game items
Show child attributes
Show child attributes
Was this page helpful?
⌘I